### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-media-container/ecl-media-container-item.directive.ts`

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclMediaContainerItem]`

### Index

###### Methods
getCssClasses
###### Inputs
ratio class e2eAttr
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

ratio
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""